Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class FindDocumentMetadataStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement
            |
            +--com.bea.p13n.content.document.jdbc.SearchStatement
                  |
                  +--com.bea.p13n.content.document.jdbc.FindDocumentMetadataStatement

public class FindDocumentMetadataStatement
extends SearchStatement

A callable statement which handles finding documents metadata.

This expects InParam1 to be either a Search or a string query which can be converted to a Search. OutParam1 will be the DocumentIterator of DocumentMetadataDefs.

Fields inherited from class com.bea.p13n.content.document.jdbc.SearchStatement
`iterator, searchParameters`

Fields inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`connection`

Constructor Summary
`FindDocumentMetadataStatement(Connection con)` Constructor.

Method Summary
`protected DocumentIterator` | `createIterator(DocumentProvider provider, Search params)` Override to do a findDocumentMetadata.

Methods inherited from class com.bea.p13n.content.document.jdbc.SearchStatement
`clearParameters, close, closeIterator, execute, getObject, setObject, setString`

Methods inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`addBatch, addBatch, cancel, clearBatch, clearWarnings, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, getArray, getBigDecimal, getBigDecimal, getBlob, getBoolean, getByte, getBytes, getClob, getConnection, getDate, getDate, getDocumentProvider, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getObject, getQueryTimeout, getRef, getResultSet, getResultSetConcurrency, getResultSetType, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setQueryTimeout, setRef, setShort, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindDocumentMetadataStatement

    public FindDocumentMetadataStatement(Connection con)

  Constructor.

Method Detail

### createIterator

    protected DocumentIterator createIterator(DocumentProvider provider,
                                              Search params)
                                       throws DocumentException

  Override to do a findDocumentMetadata.

  Overrides:
    createIterator in class SearchStatement

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved